import './assets/main.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'

/* import the fontawesome core */
import { library } from '@fortawesome/fontawesome-svg-core'

/* import font awesome icon component */
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

fetch('http://192.168.0.63:30013/Branding/Configuration')
  .then((r) => r.json())
  .then((r) => console.log(r))

/* import specific icons */
import {
  faCheck,
  faHeart,
  faPlay,
  faBars,
  faEllipsis,
  faStar,
  faCircle,
} from '@fortawesome/free-solid-svg-icons'

/* add icons to the library */
library.add(faCheck, faHeart, faPlay, faBars, faEllipsis, faStar, faCircle)

const app = createApp(App)

app.component('font-awesome-icon', FontAwesomeIcon)
app.use(createPinia())
app.use(router)

app.mount('#app')
